summaryrefslogtreecommitdiffstats
path: root/tests/shell/testcases
diff options
context:
space:
mode:
authorPablo Neira Ayuso <pablo@netfilter.org>2019-03-14 10:41:45 +0100
committerPablo Neira Ayuso <pablo@netfilter.org>2019-03-14 10:52:33 +0100
commit3bf7fb7824c9ce68f607ee07c933cdb9e1a8f2c7 (patch)
tree196e5d5d40b3b27dc85ea94cf5005ba8bb2fa2b9 /tests/shell/testcases
parentf62b2f3c66cccf0796f5e4a8583cf30c9c3c3d02 (diff)
tests: shell: bogus EBUSY on helper deletion from transaction
Reported-by: Laura Garcia <nevola@gmail.com> Signed-off-by: Pablo Neira Ayuso <pablo@netfilter.org>
Diffstat (limited to 'tests/shell/testcases')
-rwxr-xr-xtests/shell/testcases/transactions/0048helpers_015
1 files changed, 15 insertions, 0 deletions
diff --git a/tests/shell/testcases/transactions/0048helpers_0 b/tests/shell/testcases/transactions/0048helpers_0
new file mode 100755
index 00000000..675a977e
--- /dev/null
+++ b/tests/shell/testcases/transactions/0048helpers_0
@@ -0,0 +1,15 @@
+#!/bin/bash
+
+RULESET='add table ip filter
+add chain ip filter filter { type filter hook prerouting priority mangle; policy accept; }
+add ct helper ip filter ftp { type "ftp" protocol tcp; };
+add rule ip filter filter tcp dport 33 ct helper set "ftp"'
+
+set -e
+$NFT -f - <<< "$RULESET"
+
+RULESET='flush chain ip filter filter
+delete chain filter filter
+delete ct helper ip filter ftp'
+
+$NFT -f - <<< "$RULESET"